View Issue Details

IDProjectCategoryView StatusLast Update
0029505Open CASCADEOCCT:Modeling Algorithmspublic2021-08-29 18:51
ReporternbvAssigned Tomsv  
PrioritynormalSeverityminor 
Status newResolutionopen 
Target Version7.7.0 
Summary0029505: Intersection algorithm incorrectly produced not-closed result (it must be closed)
DescriptionIndeed, the intersection curve must be closed. However, intersection algorithm produces set of curves, which do not form closed region.
Steps To ReproduceExecute "bug29505" attached script
TagsNo tags attached.
Test case number

Attached Files

  • bug29505 (780 bytes)
  • bug29505_s1.draw (182 bytes)
  • bug29505_s2.draw (1,882 bytes)

Activities

nbv

2018-02-14 11:32

developer  

bug29505 (780 bytes)

nbv

2018-02-14 11:33

developer  

bug29505_s1.draw (182 bytes)

nbv

2018-02-14 11:34

developer  

bug29505_s2.draw (1,882 bytes)

nbv

2018-02-14 11:37

developer   ~0073979

This problem has been detected while fixing the issue #29494 and it is reproduced on the current MASTER.

Issue History

Date Modified Username Field Change
2018-02-14 11:26 nbv New Issue
2018-02-14 11:26 nbv Assigned To => msv
2018-02-14 11:32 nbv File Added: bug29505
2018-02-14 11:33 nbv Steps to Reproduce Updated
2018-02-14 11:33 nbv File Added: bug29505_s1.draw
2018-02-14 11:34 nbv File Added: bug29505_s2.draw
2018-02-14 11:37 nbv Note Added: 0073979
2019-08-12 17:45 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:53 msv Target Version 7.5.0 => 7.6.0
2021-08-29 18:51 msv Target Version 7.6.0 => 7.7.0